System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IPolicyImportExtension

The service endpoint must have enabled transaction flow and its methods must flow transactions. The converted policy assertions all adhere to the WS-PolicyAssertions standard.

This class is used mainly by the infrastructure when it builds a proxy for a service that is transaction-flow enabled. Calling the method adds a instance to the collection of binding elements. This also adds instances, as appropriate, on the Operations collection present in the conversion context’s contract.

Imports the transaction policy (WS-Policy assertions) of a service endpoint, adds implementing binding elements to the binding on the client, and transaction flow attributes to the appropriate operations on the service’s proxy. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Xml.XmlElement `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Imports custom policy assertions and adds implementing binding elements. This method cannot be inherited.

  The object to use. The that contains both the policy assertions that can be imported and the collections of binding elements to which implementing binding elements can be added.